Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nativelibs4java.mono
Class MonoDebugMethodInfo

    java.lang.Object
      com.sun.jna.Structure
          com.ochafik.lang.jnaerator.runtime.Structure<MonoDebugMethodInfo,MonoDebugMethodInfo.ByValue,MonoDebugMethodInfo.ByReference>
              com.nativelibs4java.mono.MonoDebugMethodInfo

All Implemented Interfaces:
  StructureType, StructureTypeDependent, java.lang.Comparable<Structure<MonoDebugMethodInfo,MonoDebugMethodInfo.ByValue,MonoDebugMethodInfo.ByReference>>

Direct Known Subclasses:
  MonoDebugMethodInfo.ByReference, MonoDebugMethodInfo.ByValue

    public class MonoDebugMethodInfo

extends Structure<MonoDebugMethodInfo,MonoDebugMethodInfo.ByValue,MonoDebugMethodInfo.ByReference>

native declaration : mono\metadata\debug-mono-symfile.h:71
This file was autogenerated by JNAerator,
a tool written by Olivier Chafik that uses a few opensource projects..
For help, please visit NativeLibs4Java, Rococoa, or JNA.

Nested Class Summary
`static class` | `MonoDebugMethodInfo.ByReference`
`static class` | `MonoDebugMethodInfo.ByValue`

Field Summary
`int` | `data_offset`
`MonoDebugHandle.ByReference` | `handle`
`int` | `index`
`int` | `lnt_offset`
`MonoLibrary.MonoMethod` | `method`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`MonoDebugMethodInfo()`
`MonoDebugMethodInfo(MonoLibrary.MonoMethod method, MonoDebugHandle.ByReference handle, int index, int data_offset, int lnt_offset)`

Method Summary
`protected MonoDebugMethodInfo.ByReference` | `newByReference()`
`protected MonoDebugMethodInfo.ByValue` | `newByValue()`
`protected MonoDebugMethodInfo` | `newInstance()`

Methods inherited from class com.ochafik.lang.jnaerator.runtime.Structure
`byReference, byValue, clone, compareTo, getBitsAnnotation, read, readDependency, setDependency, setupClone, toArray, toArray, toArray, toReferenceArray, toReferenceArray, toValueArray, toValueArray, useMemory, write`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoRead, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toString, useMemory, writeField, writeField`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ochafik.lang.jnaerator.runtime.StructureType
`getPointer, size`

Field Detail

### method

    public MonoLibrary.MonoMethod method

### handle

    public MonoDebugHandle.ByReference handle

### index

    public int index

### data_offset

    public int data_offset

### lnt_offset

    public int lnt_offset

Constructor Detail

### MonoDebugMethodInfo

    public MonoDebugMethodInfo()

### MonoDebugMethodInfo

    public MonoDebugMethodInfo(MonoLibrary.MonoMethod method,
                               MonoDebugHandle.ByReference handle,
                               int index,
                               int data_offset,
                               int lnt_offset)

Method Detail

### newByReference

    protected MonoDebugMethodInfo.ByReference newByReference()

  Specified by:
    `newByReference` in class `Structure<MonoDebugMethodInfo,MonoDebugMethodInfo.ByValue,MonoDebugMethodInfo.ByReference>`

### newByValue

    protected MonoDebugMethodInfo.ByValue newByValue()

  Specified by:
    `newByValue` in class `Structure<MonoDebugMethodInfo,MonoDebugMethodInfo.ByValue,MonoDebugMethodInfo.ByReference>`

### newInstance

    protected MonoDebugMethodInfo newInstance()

  Specified by:
    `newInstance` in class `Structure<MonoDebugMethodInfo,MonoDebugMethodInfo.ByValue,MonoDebugMethodInfo.ByReference>`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD